com.unitech.lib.engine.types

## Enum BarcodeID

- java.lang.Object
- - java.lang.Enum<BarcodeID>
  - - com.unitech.lib.engine.types.BarcodeID

- All Implemented Interfaces:
    Serializable, Comparable<BarcodeID>

      public enum BarcodeID
      extends Enum<BarcodeID>

  The BarcodeID enum represents different types of barcodes. Each barcode type is associated with a unique integer value and a descriptive string message. The enum also provides methods to get the integer value and string message of a barcode type, and to get a barcode type from its integer value. It also provides a nested enum BarcodeType to categorize barcode types into one-dimensional, two-dimensional, and postal types.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BarcodeID.BarcodeType` The BarcodeType enum represents categories of barcode types.

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AztecCode`
    `AztecRuneCode`
    `Bookland`
    `BritishPost`
    `C2of5`
    `ChinaPost`
    `Codabar`
    `CodablockA`
    `CodablockF`
    `Code11`
    `Code128`
    `Code16K`
    `Code32`
    `Code39`
    `Code39FullASCII`
    `Code49`
    `Code93`
    `CompositeCCAAddEAN13`
    `CompositeCCAAddEAN8`
    `CompositeCCAAddGS1128`
    `CompositeCCAAddGS1DataBar14`
    `CompositeCCAAddS1DataBarExpanded`
    `CompositeCCAAddS1DataBarLimited`
    `CompositeCCAAddUPCA`
    `CompositeCCAAddUPCE`
    `CompositeCCBAddEAN13`
    `CompositeCCBAddEAN8`
    `CompositeCCBAddGS1128`
    `CompositeCCBAddGS1DataBar14`
    `CompositeCCBAddGS1DataBarExpanded`
    `CompositeCCBAddGS1DataBarLimited`
    `CompositeCCBAddUPCA`
    `CompositeCCBAddUPCE`
    `CompositeCCCAddGS1128`
    `CouponCode`
    `CueCATCode`
    `D25`
    `DataMatrix`
    `DotCode`
    `EAN13`
    `EAN13Add2`
    `EAN13Add5`
    `EAN8`
    `EAN8Add2`
    `EAN8Add5`
    `FourStateUS`
    `FourStateUS4`
    `FrenchLottery`
    `GridMatrix`
    `GS1128`
    `GS1DataBar14`
    `GS1DataBarExpanded`
    `GS1DataBarLimited`
    `GS1DataMatrix`
    `GS1QRCode`
    `HanXin`
    `IATA`
    `InfoMail`
    `IntelligentMail`
    `ISBT128`
    `ISBT128Concat`
    `ISSN`
    `ITF`
    `KIXPost`
    `Korean3of5`
    `KoreaPost`
    `LabelCode`
    `MacroMicroPDF`
    `MacroPDF417`
    `MacroQRCode`
    `Mailmark`
    `Matrix2of5`
    `Maxicode`
    `MicroPDF`
    `MicroPDFCCA`
    `MicroQRCode`
    `MSI`
    `NEC2of5`
    `NW7`
    `OCRB`
    `PDF417`
    `PlanetUS`
    `Postal4i`
    `PostalAustralia`
    `PostalDutch`
    `PostalJapan`
    `PostalUK`
    `PostbarCA`
    `PostnetUS`
    `QRCode`
    `RSSGS1DatabarExpandedCoupon`
    `ScanletWebcode`
    `Straight2of5`
    `Telepen`
    `TLC39`
    `Trioptic`
    `Unknown`
    `UPCA`
    `UPCAAdd2`
    `UPCAAdd5`
    `UPCD`
    `UPCE`
    `UPCE1`
    `UPCE1Add2`
    `UPCE1Add5`
    `UPCEAdd2`
    `UPCEAdd5`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BarcodeID` | `fromValue(int value)` Gets a barcode type from its integer value.
    `BarcodeID.BarcodeType` | `getBarcodeType()` Gets the category of the barcode type.
    `int` | `getCode()` Gets the integer value of the barcode type.
    `String` | `toString()` Returns the string message of the barcode type.
    `int` | `value()` Gets the integer value of the barcode type.
    `static BarcodeID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BarcodeID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final BarcodeID Unknown

    - #### Code39

          public static final BarcodeID Code39

    - #### Codabar

          public static final BarcodeID Codabar

    - #### Code128

          public static final BarcodeID Code128

    - #### D25

          public static final BarcodeID D25

    - #### IATA

          public static final BarcodeID IATA

    - #### ITF

          public static final BarcodeID ITF

    - #### Code93

          public static final BarcodeID Code93

    - #### UPCA

          public static final BarcodeID UPCA

    - #### UPCE

          public static final BarcodeID UPCE

    - #### EAN8

          public static final BarcodeID EAN8

    - #### EAN13

          public static final BarcodeID EAN13

    - #### Code11

          public static final BarcodeID Code11

    - #### Code49

          public static final BarcodeID Code49

    - #### MSI

          public static final BarcodeID MSI

    - #### GS1128

          public static final BarcodeID GS1128

    - #### UPCE1

          public static final BarcodeID UPCE1

    - #### PDF417

          public static final BarcodeID PDF417

    - #### Code16K

          public static final BarcodeID Code16K

    - #### Code39FullASCII

          public static final BarcodeID Code39FullASCII

    - #### UPCD

          public static final BarcodeID UPCD

    - #### Trioptic

          public static final BarcodeID Trioptic

    - #### Bookland

          public static final BarcodeID Bookland

    - #### CouponCode

          public static final BarcodeID CouponCode

    - #### NW7

          public static final BarcodeID NW7

    - #### ISBT128

          public static final BarcodeID ISBT128

    - #### MicroPDF

          public static final BarcodeID MicroPDF

    - #### DataMatrix

          public static final BarcodeID DataMatrix

    - #### QRCode

          public static final BarcodeID QRCode

    - #### MicroPDFCCA

          public static final BarcodeID MicroPDFCCA

    - #### PostnetUS

          public static final BarcodeID PostnetUS

    - #### PlanetUS

          public static final BarcodeID PlanetUS

    - #### Code32

          public static final BarcodeID Code32

    - #### ISBT128Concat

          public static final BarcodeID ISBT128Concat

    - #### PostalJapan

          public static final BarcodeID PostalJapan

    - #### PostalAustralia

          public static final BarcodeID PostalAustralia

    - #### PostalDutch

          public static final BarcodeID PostalDutch

    - #### Maxicode

          public static final BarcodeID Maxicode

    - #### PostbarCA

          public static final BarcodeID PostbarCA

    - #### PostalUK

          public static final BarcodeID PostalUK

    - #### MacroPDF417

          public static final BarcodeID MacroPDF417

    - #### MacroQRCode

          public static final BarcodeID MacroQRCode

    - #### MicroQRCode

          public static final BarcodeID MicroQRCode

    - #### AztecCode

          public static final BarcodeID AztecCode

    - #### AztecRuneCode

          public static final BarcodeID AztecRuneCode

    - #### FrenchLottery

          public static final BarcodeID FrenchLottery

    - #### GS1DataBar14

          public static final BarcodeID GS1DataBar14

    - #### GS1DataBarLimited

          public static final BarcodeID GS1DataBarLimited

    - #### GS1DataBarExpanded

          public static final BarcodeID GS1DataBarExpanded

    - #### FourStateUS

          public static final BarcodeID FourStateUS

    - #### FourStateUS4

          public static final BarcodeID FourStateUS4

    - #### ISSN

          public static final BarcodeID ISSN

    - #### ScanletWebcode

          public static final BarcodeID ScanletWebcode

    - #### CueCATCode

          public static final BarcodeID CueCATCode

    - #### UPCAAdd2

          public static final BarcodeID UPCAAdd2

    - #### UPCEAdd2

          public static final BarcodeID UPCEAdd2

    - #### EAN8Add2

          public static final BarcodeID EAN8Add2

    - #### EAN13Add2

          public static final BarcodeID EAN13Add2

    - #### UPCE1Add2

          public static final BarcodeID UPCE1Add2

    - #### CompositeCCAAddGS1128

          public static final BarcodeID CompositeCCAAddGS1128

    - #### CompositeCCAAddEAN13

          public static final BarcodeID CompositeCCAAddEAN13

    - #### CompositeCCAAddEAN8

          public static final BarcodeID CompositeCCAAddEAN8

    - #### CompositeCCAAddS1DataBarExpanded

          public static final BarcodeID CompositeCCAAddS1DataBarExpanded

    - #### CompositeCCAAddS1DataBarLimited

          public static final BarcodeID CompositeCCAAddS1DataBarLimited

    - #### CompositeCCAAddGS1DataBar14

          public static final BarcodeID CompositeCCAAddGS1DataBar14

    - #### CompositeCCAAddUPCA

          public static final BarcodeID CompositeCCAAddUPCA

    - #### CompositeCCAAddUPCE

          public static final BarcodeID CompositeCCAAddUPCE

    - #### CompositeCCCAddGS1128

          public static final BarcodeID CompositeCCCAddGS1128

    - #### TLC39

          public static final BarcodeID TLC39

    - #### CompositeCCBAddGS1128

          public static final BarcodeID CompositeCCBAddGS1128

    - #### CompositeCCBAddEAN13

          public static final BarcodeID CompositeCCBAddEAN13

    - #### CompositeCCBAddEAN8

          public static final BarcodeID CompositeCCBAddEAN8

    - #### CompositeCCBAddGS1DataBarExpanded

          public static final BarcodeID CompositeCCBAddGS1DataBarExpanded

    - #### CompositeCCBAddGS1DataBarLimited

          public static final BarcodeID CompositeCCBAddGS1DataBarLimited

    - #### CompositeCCBAddGS1DataBar14

          public static final BarcodeID CompositeCCBAddGS1DataBar14

    - #### CompositeCCBAddUPCA

          public static final BarcodeID CompositeCCBAddUPCA

    - #### CompositeCCBAddUPCE

          public static final BarcodeID CompositeCCBAddUPCE

    - #### Matrix2of5

          public static final BarcodeID Matrix2of5

    - #### C2of5

          public static final BarcodeID C2of5

    - #### Korean3of5

          public static final BarcodeID Korean3of5

    - #### UPCAAdd5

          public static final BarcodeID UPCAAdd5

    - #### UPCEAdd5

          public static final BarcodeID UPCEAdd5

    - #### EAN8Add5

          public static final BarcodeID EAN8Add5

    - #### EAN13Add5

          public static final BarcodeID EAN13Add5

    - #### UPCE1Add5

          public static final BarcodeID UPCE1Add5

    - #### MacroMicroPDF

          public static final BarcodeID MacroMicroPDF

    - #### OCRB

          public static final BarcodeID OCRB

    - #### RSSGS1DatabarExpandedCoupon

          public static final BarcodeID RSSGS1DatabarExpandedCoupon

    - #### HanXin

          public static final BarcodeID HanXin

    - #### GS1DataMatrix

          public static final BarcodeID GS1DataMatrix

    - #### Telepen

          public static final BarcodeID Telepen

    - #### NEC2of5

          public static final BarcodeID NEC2of5

    - #### Postal4i

          public static final BarcodeID Postal4i

    - #### Straight2of5

          public static final BarcodeID Straight2of5

    - #### CodablockA

          public static final BarcodeID CodablockA

    - #### CodablockF

          public static final BarcodeID CodablockF

    - #### LabelCode

          public static final BarcodeID LabelCode

    - #### DotCode

          public static final BarcodeID DotCode

    - #### GridMatrix

          public static final BarcodeID GridMatrix

    - #### InfoMail

          public static final BarcodeID InfoMail

    - #### IntelligentMail

          public static final BarcodeID IntelligentMail

    - #### BritishPost

          public static final BarcodeID BritishPost

    - #### KoreaPost

          public static final BarcodeID KoreaPost

    - #### ChinaPost

          public static final BarcodeID ChinaPost

    - #### KIXPost

          public static final BarcodeID KIXPost

    - #### GS1QRCode

          public static final BarcodeID GS1QRCode

    - #### Mailmark

          public static final BarcodeID Mailmark

  - ### Method Detail

    - #### values

          public static BarcodeID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BarcodeID c : BarcodeID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BarcodeID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Gets the integer value of the barcode type.
      Returns:
        The integer value of the barcode type.

    - #### getCode

          public int getCode()

      Gets the integer value of the barcode type.
      Returns:
        The integer value of the barcode type.

    - #### toString

          public String toString()

      Returns the string message of the barcode type.
      Overrides:
        `toString` in class `Enum<BarcodeID>`
      Returns:
        The string message of the barcode type.

    - #### fromValue

          public static BarcodeID fromValue(int value)
                                     throws IllegalArgumentException

      Gets a barcode type from its integer value.
      Parameters:
        `value` - The integer value of the barcode type.
      Returns:
        The barcode type associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any barcode type.

    - #### getBarcodeType

          public BarcodeID.BarcodeType getBarcodeType()

      Gets the category of the barcode type.
      Returns:
        The category of the barcode type, which can be one-dimensional, two-dimensional, or postal.